#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgdirectoriesbase.ui'
**
** Created: 2015-11-13T03:39:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgdirectoriesbase.h"

#include <qvariant.h>
#include <kdialog.h>
#include <kiconloader.h>
#include <qpushbutton.h>
#include <qtoolbutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <klineedit.h>
#include <qlabel.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

/*
 *  Constructs a DlgDirectoriesBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DlgDirectoriesBase::DlgDirectoriesBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DlgDirectoriesBase" );
    DlgDirectoriesBaseLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "DlgDirectoriesBaseLayout"); 

    layout1 = new QGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout1"); 

    pb_down = new QToolButton( this, "pb_down" );
    pb_down->setEnabled( FALSE );
    pb_down->setIconSet( QIconSet( BarIconSet( "down" ) ) );

    layout1->addWidget( pb_down, 2, 1 );
    spacer5 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout1->addItem( spacer5, 1, 1 );

    pb_up = new QToolButton( this, "pb_up" );
    pb_up->setEnabled( FALSE );
    pb_up->setIconSet( QIconSet( BarIconSet( "up" ) ) );

    layout1->addWidget( pb_up, 0, 1 );

    lv_entries = new QListView( this, "lv_entries" );
    lv_entries->addColumn( tr2i18n( "Extension" ) );
    lv_entries->header()->setClickEnabled( FALSE, lv_entries->header()->count() - 1 );
    lv_entries->addColumn( tr2i18n( "Default Folder" ) );
    lv_entries->header()->setClickEnabled( FALSE, lv_entries->header()->count() - 1 );
    lv_entries->setAllColumnsShowFocus( TRUE );

    layout1->addMultiCellWidget( lv_entries, 0, 2, 0, 0 );

    DlgDirectoriesBaseLayout->addMultiCellLayout( layout1, 0, 0, 0, 1 );

    layout12 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout12"); 

    pb_add = new QPushButton( this, "pb_add" );
    pb_add->setEnabled( TRUE );
    pb_add->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 5, 0, pb_add->sizePolicy().hasHeightForWidth() ) );
    layout12->addWidget( pb_add );

    pb_delete = new QPushButton( this, "pb_delete" );
    pb_delete->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 5, 0, pb_delete->sizePolicy().hasHeightForWidth() ) );
    layout12->addWidget( pb_delete );

    pb_change = new QPushButton( this, "pb_change" );
    pb_change->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 5, 0, pb_change->sizePolicy().hasHeightForWidth() ) );
    layout12->addWidget( pb_change );

    DlgDirectoriesBaseLayout->addMultiCellLayout( layout12, 3, 3, 0, 1 );

    le_ext = new KLineEdit( this, "le_ext" );
    le_ext->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, le_ext->sizePolicy().hasHeightForWidth() ) );

    DlgDirectoriesBaseLayout->addWidget( le_ext, 2, 0 );

    lb_ext = new QLabel( this, "lb_ext" );

    DlgDirectoriesBaseLayout->addWidget( lb_ext, 1, 0 );

    le_dir = new KURLRequester( this, "le_dir" );

    DlgDirectoriesBaseLayout->addWidget( le_dir, 2, 1 );

    lb_dir = new QLabel( this, "lb_dir" );

    DlgDirectoriesBaseLayout->addWidget( lb_dir, 1, 1 );
    languageChange();
    resize( QSize(437, 275).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pb_down, SIGNAL( clicked() ), this, SLOT( downEntry() ) );
    connect( pb_up, SIGNAL( clicked() ), this, SLOT( upEntry() ) );
    connect( lv_entries, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( selectEntry(QListViewItem*) ) );
    connect( pb_add, SIGNAL( clicked() ), this, SLOT( addEntry() ) );
    connect( pb_delete, SIGNAL( clicked() ), this, SLOT( deleteEntry() ) );
    connect( pb_change, SIGNAL( clicked() ), this, SLOT( changeEntry() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgDirectoriesBase::~DlgDirectoriesBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgDirectoriesBase::languageChange()
{
    pb_down->setText( QString::null );
    pb_up->setText( QString::null );
    lv_entries->header()->setLabel( 0, tr2i18n( "Extension" ) );
    lv_entries->header()->setLabel( 1, tr2i18n( "Default Folder" ) );
    pb_add->setText( tr2i18n( "Add" ) );
    pb_delete->setText( tr2i18n( "Remove" ) );
    pb_change->setText( tr2i18n( "Change" ) );
    lb_ext->setText( tr2i18n( "Extension (* for all files):" ) );
    lb_dir->setText( tr2i18n( "Default folder:" ) );
}

void DlgDirectoriesBase::downEntry()
{
    qWarning( "DlgDirectoriesBase::downEntry(): Not implemented yet" );
}

void DlgDirectoriesBase::addEntry()
{
    qWarning( "DlgDirectoriesBase::addEntry(): Not implemented yet" );
}

void DlgDirectoriesBase::deleteEntry()
{
    qWarning( "DlgDirectoriesBase::deleteEntry(): Not implemented yet" );
}

void DlgDirectoriesBase::changeEntry()
{
    qWarning( "DlgDirectoriesBase::changeEntry(): Not implemented yet" );
}

/****************************************************************************
** DlgDirectoriesBase meta object code from reading C++ file 'dlgdirectoriesbase.h'
**
** Created: Fri Nov 13 03:39:00 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgdirectoriesbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DlgDirectoriesBase::className() const
{
    return "DlgDirectoriesBase";
}

QMetaObject *DlgDirectoriesBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DlgDirectoriesBase( "DlgDirectoriesBase", &DlgDirectoriesBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DlgDirectoriesBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgDirectoriesBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DlgDirectoriesBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgDirectoriesBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DlgDirectoriesBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"upEntry", 0, 0 };
    static const QUMethod slot_1 = {"downEntry", 0, 0 };
    static const QUMethod slot_2 = {"addEntry", 0, 0 };
    static const QUMethod slot_3 = {"deleteEntry", 0, 0 };
    static const QUMethod slot_4 = {"changeEntry", 0, 0 };
    static const QUMethod slot_5 = {"languageChange", 0, 0 };
    static const QUParameter param_slot_6[] = {
	{ 0, &static_QUType_ptr, "QListViewItem", QUParameter::In }
    };
    static const QUMethod slot_6 = {"selectEntry", 1, param_slot_6 };
    static const QMetaData slot_tbl[] = {
	{ "upEntry()", &slot_0, QMetaData::Public },
	{ "downEntry()", &slot_1, QMetaData::Public },
	{ "addEntry()", &slot_2, QMetaData::Public },
	{ "deleteEntry()", &slot_3, QMetaData::Public },
	{ "changeEntry()", &slot_4, QMetaData::Public },
	{ "languageChange()", &slot_5, QMetaData::Protected },
	{ "selectEntry(QListViewItem*)", &slot_6, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DlgDirectoriesBase", parentObject,
	slot_tbl, 7,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgDirectoriesBase.setMetaObject( metaObj );
    return metaObj;
}

void* DlgDirectoriesBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgDirectoriesBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DlgDirectoriesBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: upEntry(); break;
    case 1: downEntry(); break;
    case 2: addEntry(); break;
    case 3: deleteEntry(); break;
    case 4: changeEntry(); break;
    case 5: languageChange(); break;
    case 6: selectEntry((QListViewItem*)static_QUType_ptr.get(_o+1)); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgDirectoriesBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DlgDirectoriesBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DlgDirectoriesBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
